Skip to main content
GET
https://api.trillet.ai
/
v1
/
api
/
meta-whatsapp
/
status
Get WhatsApp Connection Status
curl --request GET \
  --url https://api.trillet.ai/v1/api/meta-whatsapp/status \
  --header 'x-api-key: <api-key>' \
  --header 'x-workspace-id: <x-workspace-id>'
{
  "connected": true,
  "wabaId": "123456789",
  "wabaName": "My Business WhatsApp",
  "businessName": "My Company Inc."
}

Headers

x-api-key
string
required
API key used for authenticating requests to the API.
x-workspace-id
string
required
Workspace identifier for the API.

Response Fields

connected
boolean
Whether the WhatsApp Business Account is connected.
wabaId
string
The WhatsApp Business Account ID (if connected).
wabaName
string
The WhatsApp Business Account name (if connected).
businessName
string
The Meta Business name (if connected).
{
  "connected": true,
  "wabaId": "123456789",
  "wabaName": "My Business WhatsApp",
  "businessName": "My Company Inc."
}